Help! Blender-Addon wont work on 2.79b and 2.80beta

Help! Blender-Addon wont work on 2.79b and 2.80beta

Postby Airwave82 » 06 May 2019, 09:34

I would make Track and Areas for this Game, but i get Error when i install the Blender-addons. Especialy the stk_panel.py in all my versions of blender. 2.79b and i try the new 2.80beta. what can i do to export the area right. i think i need this panel.

I hope you can help me out.


greeting from germany.
Airwave82
 
Posts: 2
Joined: 06 May 2019, 09:25

Re: Help! Blender-Addon wont work on 2.79b and 2.80beta

Postby Auria » 07 May 2019, 01:19

This is known, the stk scripts do not yet work on blender 2.80. We do not yet know when they will, someone will need to work on that. For the moment, you need to use blender 2.79 to make STK models
Image
User avatar
Auria
STK Moderator
 
Posts: 2973
Joined: 07 Dec 2009, 03:52

Re: Help! Blender-Addon wont work on 2.79b and 2.80beta

Postby Airwave82 » 07 May 2019, 08:27

Thanks, but i try go over blender linux, same issue the problem be the panel.py. i take a screenshot but cant send it here. i only see the Kartexporter are on screen in blender.

Please let me know when it runs. My creativity will check the changed things on the game. i will do a new arena for the game. i have a bit inspire from Rocketlegue. i know some action stuff.*g*
So i must go to my 3d-printer. he workt diretcly without any scripterror. he make this what i draw in blender. hope SupertuxKart do this also. hehe.

i write the blendererror:

Traceback ( most recent call last):
File "/usr/share/blender/scripts/modules/addon_utils.py", line 331, in enable
mod= _import_(module_name)
File "/home/axel.config/blender/2.79/scripts/addons/stk_panel.py", line 949,in <module>
panel_params_phat = os.path.join(datapath, "stk_panel_parameters.xml")
File "/usr/lib/python3.6/posixpath.py" , line 80, in join
a= os.fspath(a)
TypeError: expected str, bytes or os.PathLike object, not NoneType


greeting Axel
Airwave82
 
Posts: 2
Joined: 06 May 2019, 09:25

Re: Help! Blender-Addon wont work on 2.79b and 2.80beta

Postby QwertyChouskie » 07 May 2019, 19:40

Do you have the `stkdata` folder in the folder where the blender add-ons are? If it is not there the addons will not work properly.
Not an official dev, but a huge fan of STK!
User avatar
QwertyChouskie
 
Posts: 358
Joined: 29 Jun 2016, 14:57

Who is online

Users browsing this forum: No registered users and 1 guest